Package org.eclipse.graphiti.ui.internal.requests

## Class GFDirectEditRequest

- java.lang.Object
- - org.eclipse.gef.Request
  - - org.eclipse.gef.requests.LocationRequest
    - - org.eclipse.gef.requests.DirectEditRequest
      - - org.eclipse.graphiti.ui.internal.requests.GFDirectEditRequest

    public class GFDirectEditRequest
    extends org.eclipse.gef.requests.DirectEditRequest

This direct edit request extends the existing one with a direct edit holder

### Constructor Summary

Constructors
`GFDirectEditRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IDirectEditHolder` `getDirectEditHolder()` returns the IDirectEditHolder
`void` `setDirectEditingContext​(IDirectEditHolder directEditHolder)` sets the IDirectEditHolder

### Methods inherited from class org.eclipse.gef.requests.DirectEditRequest

`getCellEditor, getDirectEditFeature, setCellEditor, setDirectEditFeature`

### Methods inherited from class org.eclipse.gef.requests.LocationRequest

`getLocation, setLocation`

### Methods inherited from class org.eclipse.gef.Request

`getExtendedData, getType, setExtendedData, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GFDirectEditRequest

    public GFDirectEditRequest()

### Method Detail

#### getDirectEditHolder

    public IDirectEditHolder getDirectEditHolder()

returns the IDirectEditHolder

Returns:
  IDirectEditHolder

#### setDirectEditingContext

    public void setDirectEditingContext​(IDirectEditHolder directEditHolder)

sets the IDirectEditHolder

Parameters:
  `directEditHolder` -